   source("dataS/scripts/vehicles/specializations/SetTurnedOnEvent.lua");


Godet = {};

  
function Godet.prerequisitesPresent(specializations)
      return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Godet:load(xmlFile)
     
        assert(self.setIsTurnedOn == nil, "Sprayer needs to be the first specialization which implements setIsTurnedOn");
        self.setIsTurnedOn = Godet.setIsTurnedOn;

    
       
    
 
   

       self.isTurnedOn = false;

        

        
end;
  
function Godet:delete()
   end;
 
   function Godet:readStream(streamId, connection)
          local turnedOn = streamReadBool(streamId);
       self:setIsTurnedOn(turnedOn, true);
   end;
 
   function Godet:writeStream(streamId, connection)
    streamWriteBool(streamId, self.isTurnedOn);
   end;
 

   function Godet:readUpdateStream(streamId, timestamp, connection)
   end;

   function Godet:writeUpdateStream(streamId, connection, dirtyMask)
   end;
   
   function Godet:mouseEvent(posX, posY, isDown, isUp, button)
   end;
 
   function Godet:keyEvent(unicode, sym, modifier, isDown)
   end;
 
   function Godet:update(dt)
   
          if self.isClient then
           if self:getIsActiveForInput() then
               if InputBinding.hasEvent(InputBinding.IMPLEMENT_EXTRA) then
                   self:setIsTurnedOn(not self.isTurnedOn);
               end;
           end;
       end;
   
   
   end;
 
   function Godet:updateTick(dt)
   
   	   	for i, jointDesc in pairs(self.componentJoints) do
	   setJointFrame(self.componentJoints[i].jointIndex, 0, self.componentJoints[i].jointNode);
	end;




   
         if self:getIsActive() then
           if self.isTurnedOn then
               if self.isServer then

                          local cuttingAreasSend = {};
                          for k, cuttingArea in pairs(self.cuttingAreas) do
                               if self:getIsAreaActive(cuttingArea) then
                                   local x,y,z = getWorldTranslation(cuttingArea.start);
                                   local x1,y1,z1 = getWorldTranslation(cuttingArea.width);
                                   local x2,y2,z2 = getWorldTranslation(cuttingArea.height);
                                   --Utils.updatePloughArea(x, z, x1, z1, x2, z2, not self.PloughLimitToField);
                                   table.insert(cuttingAreasSend, {x,z,x1,z1,x2,z2});
                               end;
                           end;
                           if (table.getn(cuttingAreasSend) > 0) then
 
                               SprayerAreaEvent.runLocally(cuttingAreasSend, limitToField);
                               g_server:broadcastEvent(SprayerAreaEvent:new(cuttingAreasSend, limitToField));
                           end;
                       end;
                 end;
                 end;
                    


               
   end;
 
   function Godet:draw()
   
    if self.translationMax then
    g_currentMission:addExtraPrintText("Touche B: desactiver vibration");
    else
    g_currentMission:addExtraPrintText("Touche B: activer vibration");
    end;
   end;
 

   function Godet:onAttach(attacherVehicle)

   end;
   function Godet:onDetach()
   end;
 
   function Godet:onActivate()
   end;
 
   function Godet:onDeactivate()
   self.isTurnedOn = false;
   end;
   
      function Godet:onLeave()
      self.isTurnedOn = false;
end;  
      





 
   function Godet:onDeactivateSounds()
   end;
 
   function Godet:aiRotateLeft()
   end;
 
   function Godet:aiRotateRight()
   end;
 
   function Godet:aiTurnOn()
   end;
 
   function Godet:aiTurnOff()
   end;
 
   function Godet:aiInvertsMarkerOnTurn(turnLeft)
   end;
 

   
   function Godet:setIsTurnedOn(isTurnedOn, noEventSend)

               SetTurnedOnEvent.sendEvent(self, isTurnedOn, noEventSend)
   
               self.isTurnedOn = isTurnedOn;
 print("turnedon")
              

   end;
  