renault = {};

function renault.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function renault:load(xmlFile)

	       
    self.objet01 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.objet01#index"));
    if self.objet01 ~= nil then
        setVisibility(self.objet01, true);
    end;
    
    self.objet02 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.objet02#index"));
    if self.objet02 ~= nil then
        setVisibility(self.objet02, true);
    end;
    
	self.objet03 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.objet03#index"));
	if self.objet03 ~= nil then
        setVisibility(self.objet03, true);
    end;

    self.objet1 = false;
    self.objet2 = true;
    
end;

function renault:delete()
end;

function renault:mouseEvent(posX, posY, isDown, isUp, button)
end;

function renault:keyEvent(unicode, sym, modifier, isDown)
    
    
    if isDown and sym == Input.KEY_6 then
		self.objet1 = not self.objet1;      
	end;
	if isDown and sym == Input.KEY_5 then
		self.objet2 = not self.objet2;
	end;
	if isDown and sym == Input.KEY_7 then
		self.objet3 = not self.objet3;      
	end;
end;

 
function renault:update(dt)
  

   
  if self.isEntered then
       
        if not self.objet1 then
				setVisibility(self.objet01, false);
		else
				setVisibility(self.objet01, true);
		end;
		
		if not self.objet2 then
				setVisibility(self.objet02, false);
				setVisibility(self.objet03, true);
		else
				setVisibility(self.objet02, true);
				setVisibility(self.objet03, false);
		end;
		
		
		
		
  end;
end;

function renault:onLeave()
end;
 

function renault:draw()




g_currentMission:addExtraPrintText("Touche 6: mettre/enlever chaine");

 
end;